Subject: [PATCH 0/13] Dumping AF_UNIX sockets via netlink

From: Pavel Emelyanov <[email-masked]>
Date: Thu, 15 Dec 2011 16:42:18 +0400

Make the unix_diag.ko module, which is the AF_UNIX client for the sock_diag.

Use the sock_i_ino() as the primary ID key for sockets. This is currently the
only unique (except for the sk address itself) ID of a unix socket and is de
facto used in the ss tool to identify sockets. Thus the basic nlk request and
response structures operate on this ID. Other socket info (sun_name, peer, etc.)
are reported in the respective NLA-s (patches 8 through 12).

There's a locking trickery in patch #11. I've tried to study it carefully and
checked with lockdep, but anyway, please, pay special attention to it.

The patch for ss tool is also included.

Signed-off-by: Pavel Emelyanov <[email-masked]>